Get Running Timer
curl --request GET \
--url https://api.everhour.com/timers/current \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.everhour.com/timers/current"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.everhour.com/timers/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.everhour.com/timers/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.everhour.com/timers/current"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.everhour.com/timers/current")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.everhour.com/timers/current")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "active",
"duration": 16,
"today": 7200,
"startedAt": "2018-01-16 12:42:59",
"userDate": "2018-01-16",
"comment": "<string>",
"task": {
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"type": "task",
"url": "https://github.com/acme/web/issues/8688",
"number": "ED-774",
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"dueOn": "2024-10-31",
"status": "open",
"completed": false,
"completedAt": "2024-01-24 14:36:20",
"createdAt": "2023-04-07 13:11:20",
"createdBy": 1304,
"favorite": false,
"assignees": [
{
"userId": 1304,
"accountId": "gh:313991",
"accountName": "jbender"
}
],
"iteration": "In Progress",
"color": "#edacc7",
"comments": 1,
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
},
"timerTime": 5400
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": false
},
"user": {
"id": 1304,
"email": "john.bender@example.com",
"name": "John Bender",
"role": "admin",
"status": "active",
"type": "employee",
"createdAt": "2016-08-13 15:27:30",
"isEmailVerified": true,
"groups": [
{
"id": 1,
"name": "Admins"
}
],
"permissions": {
"billingBudgets": "write",
"userLimits": "write",
"costs": "write",
"invoices": "write",
"expenses": "write"
},
"timeTrackingPolicy": {
"allowTimeWithoutTask": true,
"allowManualTimeInput": true,
"allowFutureTime": false,
"allowCompletedTaskTime": true,
"allowTimeWithoutEstimate": true,
"allowExceedEstimate": false,
"allowManageEstimates": true,
"lockTimeAfter": 2,
"lockTimePeriod": "days"
},
"favorite": false,
"headline": "CEO",
"phone": "+1 555 0100",
"externalId": "M-3490",
"avatarUrl": "https://d36887svjhykt4.cloudfront.net/users/1304-15ea197d07ca81.jpg",
"avatarUrlLarge": "https://d36887svjhykt4.cloudfront.net/users/1304-15ea197d10830c.jpg",
"capacity": 144000,
"cost": 2500,
"costHistory": null,
"resourcePlannerAccess": {
"viewMine": false,
"editMine": false,
"viewAll": false,
"editAll": false
}
},
"currentTaskTime": {
"id": 2660155,
"time": 3600,
"user": 1304,
"date": "2018-01-20",
"task": {
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"type": "task",
"url": "https://github.com/acme/web/issues/8688",
"number": "ED-774",
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"dueOn": "2024-10-31",
"status": "open",
"completed": false,
"completedAt": "2024-01-24 14:36:20",
"createdAt": "2023-04-07 13:11:20",
"createdBy": 1304,
"favorite": false,
"assignees": [
{
"userId": 1304,
"accountId": "gh:313991",
"accountName": "jbender"
}
],
"iteration": "In Progress",
"color": "#edacc7",
"comments": 1,
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
},
"timerTime": 5400
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": false
},
"isLocked": false,
"isInvoiced": false,
"comment": "some notes"
},
"website": {
"url": "<string>",
"title": "<string>"
}
}Timers
Get Running Timer
Retrieve the authenticated user’s currently running timer, or an empty timer payload if none is running.
GET
/
timers
/
current
Get Running Timer
curl --request GET \
--url https://api.everhour.com/timers/current \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.everhour.com/timers/current"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.everhour.com/timers/current', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.everhour.com/timers/current",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.everhour.com/timers/current"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.everhour.com/timers/current")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.everhour.com/timers/current")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "active",
"duration": 16,
"today": 7200,
"startedAt": "2018-01-16 12:42:59",
"userDate": "2018-01-16",
"comment": "<string>",
"task": {
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"type": "task",
"url": "https://github.com/acme/web/issues/8688",
"number": "ED-774",
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"dueOn": "2024-10-31",
"status": "open",
"completed": false,
"completedAt": "2024-01-24 14:36:20",
"createdAt": "2023-04-07 13:11:20",
"createdBy": 1304,
"favorite": false,
"assignees": [
{
"userId": 1304,
"accountId": "gh:313991",
"accountName": "jbender"
}
],
"iteration": "In Progress",
"color": "#edacc7",
"comments": 1,
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
},
"timerTime": 5400
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": false
},
"user": {
"id": 1304,
"email": "john.bender@example.com",
"name": "John Bender",
"role": "admin",
"status": "active",
"type": "employee",
"createdAt": "2016-08-13 15:27:30",
"isEmailVerified": true,
"groups": [
{
"id": 1,
"name": "Admins"
}
],
"permissions": {
"billingBudgets": "write",
"userLimits": "write",
"costs": "write",
"invoices": "write",
"expenses": "write"
},
"timeTrackingPolicy": {
"allowTimeWithoutTask": true,
"allowManualTimeInput": true,
"allowFutureTime": false,
"allowCompletedTaskTime": true,
"allowTimeWithoutEstimate": true,
"allowExceedEstimate": false,
"allowManageEstimates": true,
"lockTimeAfter": 2,
"lockTimePeriod": "days"
},
"favorite": false,
"headline": "CEO",
"phone": "+1 555 0100",
"externalId": "M-3490",
"avatarUrl": "https://d36887svjhykt4.cloudfront.net/users/1304-15ea197d07ca81.jpg",
"avatarUrlLarge": "https://d36887svjhykt4.cloudfront.net/users/1304-15ea197d10830c.jpg",
"capacity": 144000,
"cost": 2500,
"costHistory": null,
"resourcePlannerAccess": {
"viewMine": false,
"editMine": false,
"viewAll": false,
"editAll": false
}
},
"currentTaskTime": {
"id": 2660155,
"time": 3600,
"user": 1304,
"date": "2018-01-20",
"task": {
"id": "ev:9876543210",
"name": "Task Name",
"projects": [
"ev:1234567890"
],
"type": "task",
"url": "https://github.com/acme/web/issues/8688",
"number": "ED-774",
"section": 1234,
"labels": [
"high",
"bug"
],
"position": 1,
"description": "<string>",
"dueAt": "2018-03-05 16:00:00",
"dueOn": "2024-10-31",
"status": "open",
"completed": false,
"completedAt": "2024-01-24 14:36:20",
"createdAt": "2023-04-07 13:11:20",
"createdBy": 1304,
"favorite": false,
"assignees": [
{
"userId": 1304,
"accountId": "gh:313991",
"accountName": "jbender"
}
],
"iteration": "In Progress",
"color": "#edacc7",
"comments": 1,
"time": {
"total": 7200,
"users": {
"1304": 3600,
"1543": 3600
},
"timerTime": 5400
},
"estimate": {
"total": 7200,
"type": "overall",
"users": {
"1304": 3600,
"1543": 3600
}
},
"attributes": {
"Client": "Everhour",
"Priority": "high"
},
"metrics": {
"efforts": 42,
"expenses": 199
},
"unbillable": false
},
"isLocked": false,
"isInvoiced": false,
"comment": "some notes"
},
"website": {
"url": "<string>",
"title": "<string>"
}
}Authorizations
Response
OK
Available options:
active, stopped Example:
"active"
Timer duration in seconds
Example:
16
Today time by user in the timer task
Example:
7200
Example:
"2018-01-16 12:42:59"
Example:
"2018-01-16"
Show child attributes
Show child attributes
A team member. GET /team/users and GET /users/me return the full object; user objects nested in other resources may contain a subset of these fields.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
